Package org.mariadb.jdbc.plugin.credential.aws

# Class AwsCredentialGenerator

java.lang.Object
org.mariadb.jdbc.plugin.credential.aws.AwsCredentialGenerator

public class AwsCredentialGenerator extends Object
AWS credential generator

## Constructor Summary

Constructors
Constructor
Description
`AwsCredentialGenerator(Properties nonMappedOptions, String userName, HostAddress hostAddress)`
AWS Generator.

## Method Summary

Modifier and Type
Method
Description
`Credential`
`getToken()`
Generate authentication token

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AwsCredentialGenerator

public AwsCredentialGenerator(Properties nonMappedOptions, String userName, HostAddress hostAddress)
AWS Generator.

Parameters:
  `nonMappedOptions` - non-standard options
  `userName` - user
  `hostAddress` - current server information

## Method Details

### getToken

public Credential getToken()
Generate authentication token

Returns:
  token